#import "ButtonShowVideoInfo.h"

@implementation ButtonShowVideoInfo
//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

	// delete focus ring
//	[self setFocusRingType:NSFocusRingTypeNone];

//	[[self cell] setKeyEquivalent:@" "];
//	[[self cell] setKeyEquivalentModifierMask:NSAlternateKeyMask];

	[self setEnabled:NO];

	// set notification
	NSNotificationCenter *nc=[NSNotificationCenter defaultCenter];
	[nc addObserver:self selector:@selector(handleVideoObjectDidChanged:) name:VIDEO_NOTIF_OBJECT_DID_CHANGED object:nil];

}
//------------------------------------
// handleVideoObjectDidChanged
//------------------------------------
- (void)handleVideoObjectDidChanged:(NSNotification *)notification
{
	BOOL hasVideoId = [[[notification object] valueForKey:@"hasVideoId"] boolValue];
	[self setEnabled:hasVideoId];
}
//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
	[[NSNotificationCenter defaultCenter] removeObserver:self];

	[super dealloc];
}

@end
