/* DownloadManager */

#import <Cocoa/Cocoa.h>
#import "DownloadItem.h"

@interface DownloadManager : NSObject
{
    IBOutlet id logStatusController;

	IBOutlet NSWindow *downloadWindow;
	IBOutlet NSTableView *tbvDownloadlist;
	IBOutlet NSProgressIndicator *indProc;
	IBOutlet NSTextField *txtStatus;

	NSMutableArray *downloadList_;

}
- (IBAction)openDownloadWindow:(id)sender;
- (IBAction)restartDownloadItem:(id)sender;
- (IBAction)cancelDownloadItem:(id)sender;
- (IBAction)cancelAllDownloadItem:(id)sender;
- (IBAction)searchDownloadItem:(id)sender;
- (IBAction)copyItemToPasteboard:(id)sender;
- (IBAction)clearFinishedItem:(id)sender;

- (void)downloadItems:(NSDictionary*)object;

- (BOOL)startDownloadItem:(NSString*)videoId
				fileName:(NSString*)fileName;
- (BOOL)startDownload:(NSString*)videoId
				fileName:(NSString*)fileName;
- (BOOL)restartDownload;

- (void)setDownloadStatus;
- (void)setDockIconWithValue:(int)value;

- (NSMutableArray*)downloadList;
- (BOOL)isSelectItem;
- (BOOL)anyItemIsDownloading;

@end
