//
//  MacNicoTunes_AppDelegate.h
//  MacNicoTunes
//
//  Created by MacNicoTunes on 08/09/13.
//  Copyright MacNicoTunes 2008 . All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PlaylistOutlineView.h"

@interface MacNicoTunes_AppDelegate : NSObject 
{
	IBOutlet NSWindow *window;
	IBOutlet id launchServicesManager;
	IBOutlet id downloadManager;
	IBOutlet PlaylistOutlineView *olvPlaylist;

	NSPersistentStoreCoordinator *persistentStoreCoordinator;
	NSManagedObjectModel *managedObjectModel;
	NSManagedObjectContext *managedObjectContext;
}
+ (void)setupDefaults;

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;

@end
