/* RelatedlistTableView */

#import <Cocoa/Cocoa.h>
#import "ImageItem.h"
#import "VideoItemStatus.h"
#import "PasteboardTypes.h"

@class TableColumnController;

@interface RelatedlistTableView : NSTableView
{
	IBOutlet id viewRelatedSearch;
	IBOutlet NSArrayController *relatedlistArrayController;

	IBOutlet NSMenu *cmRelatedlist;
	IBOutlet NSMenu *cmRelatedlistHeader;
	IBOutlet NSSlider *sliderRowHeight;

	TableColumnController *tcc_;

}
- (IBAction)changeRowHeight:(id)sender;
- (IBAction)changeColumnState:(id)sender;

- (BOOL)isShowColumn:(NSString*)identifier;

@end
