/* ViewChannelSetting */

#import <Cocoa/Cocoa.h>
#import "PlaylistItemTypes.h"

@interface ViewChannelSetting : NSObject
{

	IBOutlet NSTextField *txtChannelTitle;
	IBOutlet NSTextField *txtChannelId;
	IBOutlet NSButton *btnTakeValue;

	IBOutlet id viewPlaylistSetting;
	IBOutlet id viewMainSearch;
	IBOutlet id viewPlaylist;

	IBOutlet id tbArrayController;

	NSString *plistId_;
	BOOL isNewList_;

}
- (IBAction)updateChannelSetting:(id)sender;

- (IBAction)takeChannelValuesFromMainWindow:(id)sender;

- (BOOL)createChannelSettingWindow:(BOOL)isNewList;
- (BOOL)updatePlaylist:(NSString*)plistId title:(NSString*)title keyword:(NSString*)keyword;
- (void)changeTakeButtonEnable;

- (void)setPlistId:(NSString*)plistId;
- (NSString*)plistId;

- (void)setIsNewList:(BOOL)isNewList;
- (BOOL)isNewList;

@end
