/* ViewKeywordSetting */

#import <Cocoa/Cocoa.h>
#import "PlaylistItemTypes.h"

@interface ViewKeywordSetting : NSObject
{
	IBOutlet NSPopUpButton *btnKeywordType;
	IBOutlet NSTextField *txtTitle;

	IBOutlet id viewPlaylistSetting;
	IBOutlet id tbArrayController;

	NSString *plistId_;
	int keywordType_;
}
- (IBAction)changeKeywordType:(id)sender;
- (IBAction)changeKeywordSetting:(id)sender;

- (BOOL)createKeywordSettingWindow;
- (BOOL)updatePlaylist:(NSString*)plistId itemSubTypeAttribute:(int)itemSubTypeAttribute;

- (void)setPlistId:(NSString*)plistId;
- (NSString*)plistId;
- (void)setKeywordType:(int)keywordType;
- (int)keywordType;

@end
