/* ViewMylistSetting */

#import <Cocoa/Cocoa.h>
#import "PlaylistItemTypes.h"

@interface ViewMylistSetting : NSObject
{

	IBOutlet NSTextField *txtMylistTitle;
	IBOutlet NSTextField *txtMylistId;
	IBOutlet NSButton *btnTakeValue;

	IBOutlet id viewPlaylistSetting;
	IBOutlet id viewMainSearch;
	IBOutlet id viewPlaylist;

	IBOutlet id tbArrayController;

	NSString *plistId_;
	BOOL isNewList_;

}
- (IBAction)updateMylistSetting:(id)sender;

- (IBAction)takeMylistValuesFromMainWindow:(id)sender;

- (BOOL)createMylistSettingWindow:(BOOL)isNewList;
- (BOOL)createMylistSettingWindowWithValue:(NSString*)mylistId title:(NSString*)title;
- (void)setSettingValue:(NSString*)mylistId title:(NSString*)title;
- (BOOL)updatePlaylist:(NSString*)plistId title:(NSString*)title keyword:(NSString*)keyword;
- (void)changeTakeButtonEnable:(BOOL)enable;
- (BOOL)canTakeValue;

- (void)setPlistId:(NSString*)plistId;
- (NSString*)plistId;

- (void)setIsNewList:(BOOL)isNewList;
- (BOOL)isNewList;

@end
