/* ViewPlayHistory */

#import <Cocoa/Cocoa.h>
#import "BindObjectTypes.h"

@interface ViewPlayHistory : NSObject
{
	IBOutlet id viewPlayer;
	IBOutlet id tbArrayController;
	IBOutlet NSArrayController *playhistoryArrayController;

	IBOutlet NSButton *btnPlay;
	IBOutlet NSButton *btnIsPlayed;

	BOOL showIsNotPlayed_;
}
- (IBAction)openPlayHistory:(id)sender;
- (IBAction)showIsNotPlayedItem:(id)sender;
- (IBAction)changeItemStatusIsPlayed:(id)sender;
- (IBAction)playItem:(id)sender;
- (IBAction)addItemToPlaylist:(id)sender;
- (IBAction)removeItem:(id)sender;
- (IBAction)removeAllItems:(id)sender;

- (void)setIsPlayedButtonImage;

- (void)windowWillClose;
- (void)setShowIsNotPlayed:(BOOL)showIsNotPlayed;
- (BOOL)showIsNotPlayed;

@end
