/* ViewPostUserSetting */

#import <Cocoa/Cocoa.h>
#import "PlaylistItemTypes.h"

@interface ViewPostUserSetting : NSObject
{

	IBOutlet NSTextField *txtPostUserTitle;
	IBOutlet NSTextField *txtPostUserId;
	IBOutlet NSButton *btnTakeValue;

	IBOutlet id viewPlaylistSetting;
	IBOutlet id viewMainSearch;
	IBOutlet id viewPlaylist;

	IBOutlet id tbArrayController;

	NSString *plistId_;
	BOOL isNewList_;

}
- (IBAction)updatePostUserSetting:(id)sender;

- (IBAction)takePostUserValuesFromMainWindow:(id)sender;

- (BOOL)createPostUserSettingWindow:(BOOL)isNewList;
- (BOOL)createPostUserSettingWindowWithValue:(NSString*)postUserId title:(NSString*)title;
- (void)setSettingValue:(NSString*)postUserId title:(NSString*)title;
- (BOOL)updatePlaylist:(NSString*)plistId title:(NSString*)title keyword:(NSString*)keyword;
- (void)changeTakeButtonEnable:(BOOL)enable;
- (BOOL)canTakeValue;

- (void)setPlistId:(NSString*)plistId;
- (NSString*)plistId;

- (void)setIsNewList:(BOOL)isNewList;
- (BOOL)isNewList;

@end
