/* ViewPrefs */

#import <Cocoa/Cocoa.h>
#import "PolishedWindow.h"
#import "FullScreenWindow.h"
#import "PlayerTypes.h"

@interface ViewPrefs : NSObject
{

	IBOutlet PolishedWindow *mainWindow;
	IBOutlet PolishedWindow *relatedWindow;
//	IBOutlet FullScreenWindow *playerWindow;
	IBOutlet PolishedWindow *downloadWindow;
	IBOutlet PolishedWindow *logWindow;
	IBOutlet NSWindow *prefsWindow;
	IBOutlet NSWindow *helpWindow;

	IBOutlet NSTextField *txtAutoPlay;
	IBOutlet NSTextField *txtAutoMaximize;
	IBOutlet NSTextField *txtLiveResize;
	IBOutlet NSTextField *txtEcoMode;
	IBOutlet NSTextField *txtNoBanner;
	IBOutlet NSTextField *txtNoMarquee;
	IBOutlet NSTextField *txtNoNicowari;

	IBOutlet NSButton *cbxAutoPlay;
	IBOutlet NSButton *cbxAutoMaximize;
	IBOutlet NSButton *cbxLiveResize;
	IBOutlet NSButton *cbxEcoMode;
	IBOutlet NSButton *cbxNoBanner;
	IBOutlet NSButton *cbxNoMarquee;
	IBOutlet NSButton *cbxNoNicowari;

	IBOutlet NSTextField *txtDownloadFolderPath;

}

- (IBAction)openPrefsWindow:(id)sender;
- (IBAction)openHelpWindow:(id)sender;
- (IBAction)changeWindowTheme:(id)sender;
- (IBAction)changePlayerType:(id)sender;
- (IBAction)selectDownloadFolderPath:(id)sender;

- (void)changePlayerBoxEnable;

@end
