/* ViewRelatedWindow */

#import <Cocoa/Cocoa.h>
#import "RelatedWindowStatus.h"

@interface ViewRelatedWindow : NSObject
{
	IBOutlet NSWindow *relatedWindow;
	IBOutlet id viewRelatedSearch;	
	IBOutlet id viewTagSearch;	
	IBOutlet id viewPlayHistory;	
	IBOutlet NSTabView *tabViewMain;
	IBOutlet NSSegmentedControl *segInfo;
	IBOutlet NSButton *btnBarVideo;
	IBOutlet NSButton *btnBarTag;
	IBOutlet NSButton *btnBarHistory;
}

- (IBAction)openRelatedWindow:(id)sender;
- (IBAction)changeTabViewMain:(id)sender;
- (IBAction)closeRelatedWindow:(id)sender;

// related search
- (IBAction)openRelatedSearch:(id)sender;
// tag search
- (IBAction)openTagSearch:(id)sender;
// play history
- (IBAction)openPlayHistory:(id)sender;


- (void)changeButtonBar:(int)index;
- (void)changeWindowTitle:(int)index;
- (void)setWindowTitle:(NSString*)title;

@end
