#import "ImageBindController.h"
#import "UserDefaultsExtension.h"

static const int ICON_SIZE = 14;
 
@implementation ImageBindController

//------------------------------------
// createImage
//------------------------------------
- (NSImage*)createImage:(NSString*)imageName
{

	if([self defaultBoolValue:@"optDisplayMenuIcon"] == YES){
		NSImage *image = [[[NSImage alloc] initByReferencingFile:[[NSBundle mainBundle] pathForResource:imageName ofType:@"png"]] autorelease];
		[image setScalesWhenResized:YES];
		[image setSize:NSMakeSize(ICON_SIZE,ICON_SIZE)];
		return image;
//		return [NSImage imageNamed:imageName];
	}else{
		return nil;
	}

}

//------------------------------------
// iconVideo
//------------------------------------
- (NSImage*)iconVideo
{
	return [self createImage:@"icon_video"];
}
//------------------------------------
// iconVideoBlue
//------------------------------------
- (NSImage*)iconVideoBlue
{
	return [self createImage:@"icon_video_blue"];
}
//------------------------------------
// iconPlayer
//------------------------------------
- (NSImage*)iconPlayer
{
	return [self createImage:@"icon_player"];
}
//------------------------------------
// iconPlayerOld
//------------------------------------
- (NSImage*)iconPlayerOld
{
	return [self createImage:@"icon_player_old"];
}
//------------------------------------
// iconNicoVideo
//------------------------------------
- (NSImage*)iconNicoVideo
{
	return [self createImage:@"icon_nicovideo"];
}
//------------------------------------
// iconIPad
//------------------------------------
- (NSImage*)iconIPad
{
	return [self createImage:@"icon_ipad"];
}
//------------------------------------
// iconPlaylist
//------------------------------------
- (NSImage*)iconPlaylist
{
	return [self createImage:@"icon_playlist"];
}
//------------------------------------
// iconPlaylistGray
//------------------------------------
- (NSImage*)iconPlaylistGray
{
	return [self createImage:@"icon_playlist_gray"];
}
//------------------------------------
// iconCategory
//------------------------------------
- (NSImage*)iconCategory
{
	return [self createImage:@"icon_category"];
}
//------------------------------------
// iconContents
//------------------------------------
- (NSImage*)iconContents
{
	return [self createImage:@"icon_contents"];
}
//------------------------------------
// iconFolder
//------------------------------------
- (NSImage*)iconFolder
{
	return [self createImage:@"icon_folder"];
}
//------------------------------------
// iconSearch
//------------------------------------
- (NSImage*)iconSearch
{
	return [self createImage:@"icon_search"];
}
//------------------------------------
// iconSearchKeyword
//------------------------------------
- (NSImage*)iconSearchKeyword
{
	return [self createImage:@"icon_search_keyword"];
}
//------------------------------------
// iconSearchTag
//------------------------------------
- (NSImage*)iconSearchTag
{
	return [self createImage:@"icon_search_tag"];
}
//------------------------------------
// iconSearchTagGray
//------------------------------------
- (NSImage*)iconSearchTagGray
{
	return [self createImage:@"icon_search_tag_gray"];
}
//------------------------------------
// iconAuthor
//------------------------------------
- (NSImage*)iconAuthor
{
	return [self createImage:@"icon_author"];
}
//------------------------------------
// iconMylist
//------------------------------------
- (NSImage*)iconMylist
{
	return [self createImage:@"icon_mylist"];
}
//------------------------------------
// iconPostUser
//------------------------------------
- (NSImage*)iconPostUser
{
	return [self createImage:@"icon_post_user"];
}
//------------------------------------
// iconChannel
//------------------------------------
- (NSImage*)iconChannel
{
	return [self createImage:@"icon_channel"];
}

//------------------------------------
// iconWebSearch
//------------------------------------
- (NSImage*)iconWebSearch
{
	return [self createImage:@"icon_websearch"];
}
//------------------------------------
// iconDownload
//------------------------------------
- (NSImage*)iconDownload
{
	return [self createImage:@"icon_arrow_down"];
}
//------------------------------------
// iconCopy
//------------------------------------
- (NSImage*)iconCopy
{
	return [self createImage:@"icon_copy"];
}
//------------------------------------
// iconComment
//------------------------------------
- (NSImage*)iconComment
{
	return [self createImage:@"icon_comment"];
}
//------------------------------------
// iconEdit
//------------------------------------
- (NSImage*)iconEdit
{
	return [self createImage:@"icon_edit"];
}
//------------------------------------
// iconUpdate
//------------------------------------
- (NSImage*)iconUpdate
{
	return [self createImage:@"icon_update"];
}
//------------------------------------
// iconGear
//------------------------------------
- (NSImage*)iconGear
{
	return [self createImage:@"icon_gear"];
}
//------------------------------------
// iconLook
//------------------------------------
- (NSImage*)iconLook
{
	return [self createImage:@"icon_look"];
}
//------------------------------------
// iconExport
//------------------------------------
- (NSImage*)iconExport
{
	return [self createImage:@"icon_export"];
}
//------------------------------------
// iconDelete
//------------------------------------
- (NSImage*)iconDelete
{
	return [self createImage:@"icon_delete"];
}

@end
