#import <Cocoa/Cocoa.h>
#import "ImageItemStatus.h"

@interface ImageItem : NSObject
{
	NSString *urlString_;
	NSImage *image_;
	int itemStatus_;
	int notifType_;
	NSMutableData *imageData_;
	NSURLConnection *connection_;
}
- (id)initWithImageURL:(NSString*)urlString notifType:(int)notifType;
- (BOOL)createConnection:(NSString*)urlString;
- (void)notifyImageItemDidLoad:(ImageItem*)item;

- (void)cancelConnection;
- (void)setConnection:(NSURLConnection*)connection;
- (NSURLConnection*)connection;

- (void)setUrlString:(NSString*)urlString;
- (NSString*)urlString;

- (void)setImage:(NSImage*)image;
- (NSImage*)image;

- (int)itemStatus;
@end
