#import "MenuItemMaximizePlayer.h"

@implementation MenuItemMaximizePlayer

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{
	// set notification
	NSNotificationCenter *nc=[NSNotificationCenter defaultCenter];
	[nc addObserver:self selector:@selector(handlePlayerMaximizeDidChanged:) name:PLAYER_NOTIF_MAXIMIZE_DID_CHANGED object:nil];
}
//------------------------------------
// handlePlayerMaximizeDidChanged
//------------------------------------
- (void)handlePlayerMaximizeDidChanged:(NSNotification *)notification
{
	int state = [[notification object] intValue];

	if(state == 1){
		[self setState:1];
	}else{
		[self setState:0];
	}

}
//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
	[[NSNotificationCenter defaultCenter] removeObserver:self];
	[super dealloc];
}

@end
