#import "PlayControllerTitleTransformer.h"

@implementation PlayControllerTitleTransformer

+ (void)load
{
	[self setValueTransformer:[[PlayControllerTitleTransformer alloc] init] forName:@"PlayControllerTitleTransformer"];

}

+ (Class)transformedValueClass
{
    return [NSString self];
}

+ (BOOL)allowsReverseTransformation
{
    return NO;
}

- (id)transformedValue:(id)object
{
	NSString *title = @"Play";
//	NSLog(@"object=%@", [object description]);
	if(object != nil){
		BOOL isPlaying = [object boolValue];
		
		if(isPlaying == YES){
			title = @"Stop";
		}else{
			title = @"Play";
		}
	}

	return title;
}
@end