/* PlaylistItemTypes */

// itemType
#define ITEM_FOLDER					0
#define ITEM_PLAYLIST				1
#define ITEM_SEARCH					2
#define ITEM_CATEGORY				3
#define ITEM_CONTENTS				4
#define ITEM_MYLIST					5
#define ITEM_CHANNEL				6
#define ITEM_POST_USER				7

// itemSubType of ITEM_SEARCH
#define ITEM_SEARCH_STRING			0
#define ITEM_SEARCH_AUTHOR			1

// itemSubTypeAttribute of ITEM_SEARCH_STRING
#define ITEM_SEARCH_STRING_DEFAULT		0
#define ITEM_SEARCH_STRING_KEYWORD		1
#define ITEM_SEARCH_STRING_TAG			2

// itemSubType of ITEM_CATEGORY
// use under v2.5.x
#define ITEM_CATEGORY_ALL			0
#define ITEM_CATEGORY_MUSIC			1
#define ITEM_CATEGORY_ENT			2
#define ITEM_CATEGORY_ANIME			3
#define ITEM_CATEGORY_GAME			4
#define ITEM_CATEGORY_RADIO			5
#define ITEM_CATEGORY_SPORT			6
#define ITEM_CATEGORY_SCIENCE		7
#define ITEM_CATEGORY_COOKING		8
#define ITEM_CATEGORY_POLITICS		9
#define ITEM_CATEGORY_ANIMAL		10
#define ITEM_CATEGORY_HISTORY		11
#define ITEM_CATEGORY_NATURE		12
#define ITEM_CATEGORY_LECTURE		13
#define ITEM_CATEGORY_PLAY			14
#define ITEM_CATEGORY_SING			15
#define ITEM_CATEGORY_DANCE			16
#define ITEM_CATEGORY_OWNER			17
#define ITEM_CATEGORY_DIARY			18
#define ITEM_CATEGORY_QUE			19
#define ITEM_CATEGORY_CHAT			20
#define ITEM_CATEGORY_TEST			21
#define ITEM_CATEGORY_OTHER			22
#define ITEM_CATEGORY_R18			23
#define ITEM_CATEGORY_COMMONS		24
#define ITEM_CATEGORY_HITOKOTO		25
#define ITEM_CATEGORY_OFFICIAL		99


// CATEGORY_GROUP_NAME
#define CATEGORY_NAME_ALL			@"all"
#define CATEGORY_NAME_G_CULTURE2	@"g_culture2"
#define CATEGORY_NAME_G_ENT2		@"g_ent2"
#define CATEGORY_NAME_G_LIFE2		@"g_life2"
#define CATEGORY_NAME_G_OTHER		@"g_other"
#define CATEGORY_NAME_G_POLITICS	@"g_politics"
#define CATEGORY_NAME_G_R18			@"g_r18"
#define CATEGORY_NAME_G_TECH		@"g_tech"

// discontinued
#define CATEGORY_NAME_G_CULTURE		@"g_culture"
#define CATEGORY_NAME_G_ENT			@"g_ent"
#define CATEGORY_NAME_G_LIFE		@"g_life"
#define CATEGORY_NAME_G_POPULAR		@"g_popular"
#define CATEGORY_NAME_G_TRY			@"g_try"

// CATEGORY_NAME
#define CATEGORY_NAME_ANIMAL		@"animal"
#define CATEGORY_NAME_ANIME			@"anime"
#define CATEGORY_NAME_ARE			@"are"
#define CATEGORY_NAME_COOKING		@"cooking"
#define CATEGORY_NAME_DANCE			@"dance"
#define CATEGORY_NAME_DIARY			@"diary"
#define CATEGORY_NAME_DRAW			@"draw"
#define CATEGORY_NAME_DRIVE			@"drive"
#define CATEGORY_NAME_ENT			@"ent"
#define CATEGORY_NAME_GAME			@"game"
#define CATEGORY_NAME_HANDCRAFT		@"handcraft"
#define CATEGORY_NAME_HISTORY		@"history"
#define CATEGORY_NAME_IMAS			@"imas"
#define CATEGORY_NAME_LECTURE		@"lecture"
#define CATEGORY_NAME_MAKE			@"make"
#define CATEGORY_NAME_MUSIC			@"music"
#define CATEGORY_NAME_NATURE		@"nature"
#define CATEGORY_NAME_NICOINDIES	@"nicoindies"
#define CATEGORY_NAME_OTHER			@"other"
#define CATEGORY_NAME_PLAY			@"play"
#define CATEGORY_NAME_POLITICS		@"politics"
#define CATEGORY_NAME_R18			@"r18"
#define CATEGORY_NAME_RADIO			@"radio"
#define CATEGORY_NAME_SCIENCE		@"science"
#define CATEGORY_NAME_SING			@"sing"
#define CATEGORY_NAME_SPORT			@"sport"
#define CATEGORY_NAME_TECH			@"tech"
#define CATEGORY_NAME_TOHO			@"toho"
#define CATEGORY_NAME_TRAVEL		@"travel"
#define CATEGORY_NAME_VOCALOID		@"vocaloid"

// use under v2.6.2
#define CATEGORY_NAME_FASHION		@"fashion"
// use under v2.5.x
#define CATEGORY_NAME_CHAT			@"chat"
#define CATEGORY_NAME_COMMONS		@"commons"
#define CATEGORY_NAME_HITOKOTO		@"hitokoto"
#define CATEGORY_NAME_OFFICIAL		@"official"
#define CATEGORY_NAME_OWNER			@"owner"
#define CATEGORY_NAME_QUE			@"que"
#define CATEGORY_NAME_TEST			@"test"

// CATEGORY_GROUP_TITLE
#define CATEGORY_TITLE_G_CULTURE2	"yAjEQ[EGz"
#define CATEGORY_TITLE_G_ENT2		"yG^Eyz"
#define CATEGORY_TITLE_G_LIFE2		"yEʁEX|z"
#define CATEGORY_TITLE_G_OTHER		"y̑z"
#define CATEGORY_TITLE_G_POLITICS	"yz"
#define CATEGORY_TITLE_G_R18		"yR-18z"
#define CATEGORY_TITLE_G_TECH		"yȊwEZpz"

// discontinued
#define CATEGORY_TITLE_G_CULTURE	"yAjEQ[z"
#define CATEGORY_TITLE_G_ENT		"yG^EyEX|z"
#define CATEGORY_TITLE_G_LIFE		"y{Ez"
#define CATEGORY_TITLE_G_POPULAR	"yaJeSz"
#define CATEGORY_TITLE_G_TRY		"yĂ݂z"

// CATEGORY_TITLE
#define CATEGORY_TITLE_ALL			"JeS["
#define CATEGORY_TITLE_ANIMAL		""
#define CATEGORY_TITLE_ANIME		"Aj"
#define CATEGORY_TITLE_ARE			"̃A"
#define CATEGORY_TITLE_COOKING		""
#define CATEGORY_TITLE_DANCE		"xĂ݂"
#define CATEGORY_TITLE_DIARY		"L"
#define CATEGORY_TITLE_DRAW			"`Ă݂"
#define CATEGORY_TITLE_DRIVE		"ԍړ"
#define CATEGORY_TITLE_ENT			"G^[eCg"
#define CATEGORY_TITLE_GAME			"Q["
#define CATEGORY_TITLE_HANDCRAFT	"jRjR|"
#define CATEGORY_TITLE_HISTORY		"j"
#define CATEGORY_TITLE_IMAS			"AC}X"
#define CATEGORY_TITLE_LECTURE		"jRjRu"
#define CATEGORY_TITLE_MAKE			"Ă݂"
#define CATEGORY_TITLE_MUSIC		"y"
#define CATEGORY_TITLE_NATURE		"R"
#define CATEGORY_TITLE_NICOINDIES	"jRjRCfB[Y"
#define CATEGORY_TITLE_OTHER		"̑"
#define CATEGORY_TITLE_PLAY			"tĂ݂"
#define CATEGORY_TITLE_POLITICS		""
#define CATEGORY_TITLE_R18			"R-18"
#define CATEGORY_TITLE_RADIO		"WI"
#define CATEGORY_TITLE_SCIENCE		"Ȋw"
#define CATEGORY_TITLE_SING			"̂Ă݂"
#define CATEGORY_TITLE_SPORT		"X|[c"
#define CATEGORY_TITLE_TECH			"jRjRZp"
#define CATEGORY_TITLE_TOHO			""
#define CATEGORY_TITLE_TRAVEL		"s"
#define CATEGORY_TITLE_VOCALOID		"VOCALOID"

// use under v2.6.2
#define CATEGORY_TITLE_FASHION		"t@bV"
// use under v2.5.x
#define CATEGORY_TITLE_CHAT			"`bg"
#define CATEGORY_TITLE_COMMONS		"jRjERY"
#define CATEGORY_TITLE_HITOKOTO		"ЂƂƓ"
#define CATEGORY_TITLE_OFFICIAL		""
#define CATEGORY_TITLE_OWNER		"e҃Rg"
#define CATEGORY_TITLE_QUE			"AP[g"
#define CATEGORY_TITLE_TEST			"eXg"

// sort order
#define CATEGORY_ORDER_ALL			0

#define CATEGORY_ORDER_G_ENT2		100
#define CATEGORY_ORDER_ENT			101
#define CATEGORY_ORDER_MUSIC		102
#define CATEGORY_ORDER_SING			103
#define CATEGORY_ORDER_PLAY			104
#define CATEGORY_ORDER_DANCE		105
#define CATEGORY_ORDER_VOCALOID		106
#define CATEGORY_ORDER_NICOINDIES	107

#define CATEGORY_ORDER_G_LIFE2		200
#define CATEGORY_ORDER_ANIMAL		201
#define CATEGORY_ORDER_COOKING		202
#define CATEGORY_ORDER_NATURE		203
#define CATEGORY_ORDER_TRAVEL		204
#define CATEGORY_ORDER_SPORT		205
#define CATEGORY_ORDER_LECTURE		206
#define CATEGORY_ORDER_DRIVE		207
#define CATEGORY_ORDER_HISTORY		208

#define CATEGORY_ORDER_G_POLITICS	300
#define CATEGORY_ORDER_POLITICS		301

#define CATEGORY_ORDER_G_TECH		400
#define CATEGORY_ORDER_SCIENCE		401
#define CATEGORY_ORDER_TECH			402
#define CATEGORY_ORDER_HANDCRAFT	403
#define CATEGORY_ORDER_MAKE			404

#define CATEGORY_ORDER_G_CULTURE2	500
#define CATEGORY_ORDER_ANIME		501
#define CATEGORY_ORDER_GAME			502
#define CATEGORY_ORDER_TOHO			503
#define CATEGORY_ORDER_IMAS			504
#define CATEGORY_ORDER_RADIO		505
#define CATEGORY_ORDER_DRAW			506

#define CATEGORY_ORDER_G_OTHER		600
#define CATEGORY_ORDER_ARE			601
#define CATEGORY_ORDER_DIARY		602
#define CATEGORY_ORDER_OTHER		603

#define CATEGORY_ORDER_G_R18		700
#define CATEGORY_ORDER_R18			701

// discontinued
#define CATEGORY_ORDER_G_ENT		100
#define CATEGORY_ORDER_G_LIFE		200
#define CATEGORY_ORDER_G_CULTURE	500
#define CATEGORY_ORDER_G_POPULAR	999
#define CATEGORY_ORDER_G_TRY		999

// itemSubType of ITEM_CONTENTS
#define ITEM_CONTENTS_NEWARRIVAL	0
#define ITEM_CONTENTS_RECENT		1
#define ITEM_CONTENTS_HOTLIST		2
//#define ITEM_CONTENTS_RANDOM		3
#define ITEM_CONTENTS_TOPPAGE		9

// CONTENTS_NAME
#define CONTENTS_NAME_NEWARRIVAL	@"newarrival"
#define CONTENTS_NAME_RECENT		@"recent"
#define CONTENTS_NAME_HOTLIST		@"hotlist"
//#define CONTENTS_NAME_RANDOM		@"random"
#define CONTENTS_NAME_TOPPAGE		@"toppage"

// CONTENTS_TITLE
#define CONTENTS_TITLE_NEWARRIVAL	"Ve"
#define CONTENTS_TITLE_RECENT		"VRg"
#define CONTENTS_TITLE_HOTLIST		"zbgXg"
//#define CONTENTS_TITLE_RANDOM		"C܂ꌟ"
#define CONTENTS_TITLE_TOPPAGE		"gbvy[W"

// SEARCH_WITH_STRING_NAME
#define SEARCH_WITH_STRING_NAME_KEYWORD	@"keyword"
#define SEARCH_WITH_STRING_NAME_TAG		@"tag"

