#import "PreviewMovieView.h"
#import "ViewPreviewPlayer.h"
#import "HelperExtension.h"
#import "ConvertExtension.h"
#import "DialogExtension.h"
#import "UserDefaultsExtension.h"

@implementation PreviewMovieView

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

	// controller properties
	[self setControllerVisible:YES];
	[self setStepButtonsVisible:NO];
//	[self setVolumeButtonVisible:NO];

	[self setErrorDescription:@""];

}
//=======================================================================
// actions
//=======================================================================
//=======================================================================
// methods
//=======================================================================
//------------------------------------
// menuForEvent
//------------------------------------
- (NSMenu*)menuForEvent:(NSEvent *)theEvent
{
	return cmPreviewMovie;
}
//------------------------------------
// errorDescription
//------------------------------------
- (void)setErrorDescription:(NSString*)errorDescription
{
	[errorDescription retain];
	[errorDescription_ release];
	errorDescription_ = errorDescription;
}
- (NSString*)errorDescription
{
	return errorDescription_;
}
//----------------------
// dealloc
//----------------------
- (void)dealloc
{
	[errorDescription_ release];

	[super dealloc];
}
@end
