/* ResizeSplitView */

#import <Cocoa/Cocoa.h>
#import "ViewInfoStatus.h"

@interface ResizeSplitView : NSSplitView
{

	int controlIndex_;
	BOOL isAnimate_;
	NSSize oldSize_;
	float dividerSize_;
}

- (void)maximizeView:(BOOL)animate;
- (void)closeView:(BOOL)animate;
- (void)restoreView:(BOOL)animate;

//- (void)setDividerSize:(float)dividerSize;

- (void)setSplitterPosition:(NSPoint)newPos animate:(BOOL)animate;

- (void)splitViewDidResize;
- (void)setControlIndex:(int)controlIndex;
- (int)controlIndex;
- (void)setIsAnimate:(BOOL)isAnimate;
- (BOOL)isAnimate;
- (void)setOldSize:(NSSize)oldSize;
- (NSSize)oldSize;
- (BOOL)isMaximized;
- (BOOL)isClosed;
@end
