#import <Cocoa/Cocoa.h>
#import "ImageItem.h"
#import "VideoItemStatus.h"

@interface SearchMatrixCell : NSImageCell
{

	id itemObject_;

	int itemIndex_;
	NSSize imageSize_;

	BOOL isEnabled_;
	BOOL isSelected_;

}
- (id)initWithItemObject:(id)itemObject
				itemIndex:(int)itemIndex
				isEnabled:(BOOL)isEnabled;

- (void)setItemObject:(id)itemObject;
- (id)itemObject;

- (void)setItemIndex:(int)itemIndex;
- (int)itemIndex;

- (void)setImageSize:(NSSize)imageSize;
- (NSSize)imageSize;

- (void)setIsEnabled:(BOOL)isEnabled;
- (BOOL)isEnabled;
- (void)setIsSelected:(BOOL)isSelected;
- (BOOL)isSelected;

@end
