/* SearchTypes */

// seatchType
#define SEARCH_WITH_STRING			0
#define SEARCH_WITH_URL				1
#define SEARCH_WITH_CATEGORY		2
#define SEARCH_WITH_RANKING			3
#define SEARCH_WITH_CONTENTS		4
#define SEARCH_WITH_ITEMS			5
#define SEARCH_WITH_PLAYLIST		6
#define SEARCH_WITH_PLAYHISTORY		7
#define SEARCH_WITH_MYLIST			8
#define SEARCH_WITH_POST_USER		9
#define SEARCH_WITH_CHANNEL			10

// seatchRelatedType
#define SEARCH_RELATED_WITH_VIDEO		0
#define SEARCH_RELATED_WITH_POST_USER	1

// search keyword type
#define SEARCH_WITH_STRING_KEYWORD		0
#define SEARCH_WITH_STRING_TAG			1

// search item type
#define SEARCH_ITEM_TYPE_PARSE_HTML		0
#define SEARCH_ITEM_TYPE_GET_INFO		1
// not menu select
#define SEARCH_ITEM_TYPE_PARSE_RSS		2

// data type
#define DATA_WITH_SEARCH_RESULT			0
#define DATA_WITH_SEARCH_ITEMS			1

// parse split type
#define PARSE_SPLIT_NONE		0
#define PARSE_SPLIT_LIST		1
#define PARSE_SPLIT_PAGEBODY	2

#define PARSE_SPLIT_STRING_NONE		@""
#define PARSE_SPLIT_STRING_LIST		@"summary=\"videos\""
#define PARSE_SPLIT_STRING_PAGEBODY	@"<div id=\"PAGEBODY\">"

// parse brake type
#define PARSE_BRAKE_NONE			0
#define PARSE_BRAKE_TD				1
#define PARSE_BRAKE_TR				2
#define PARSE_BRAKE_VIDEO_INFO		3
#define PARSE_BRAKE_THUMB_FRM		4
#define PARSE_BRAKE_THUMB_VINFO		5

// parse brake string
#define PARSE_BRAKE_STRING_NONE			@""
#define PARSE_BRAKE_STRING_TD			@"<td"
#define PARSE_BRAKE_STRING_TR			@"<tr"
#define PARSE_BRAKE_STRING_VIDEO_INFO	@"class=\"video_info\""
#define PARSE_BRAKE_STRING_THUMB_FRM	@"class=\"thumb_frm"
#define PARSE_BRAKE_STRING_THUMB_VINFO	@"class=\"thumb_vinfo"

// parse rss type
#define PARSE_RSS_TYPE_NONE		0
#define PARSE_RSS_TYPE_ATOM		1
#define PARSE_RSS_TYPE_2_0		2

#define PARSE_RSS_TYPE_NAME_NONE	@""
#define PARSE_RSS_TYPE_NAME_ATOM	@"atom"
#define PARSE_RSS_TYPE_NAME_2_0		@"2.0"


