#import "TextColorTransformerPlayHistory.h"

@implementation TextColorTransformerPlayHistory

+ (void)load
{
	[self setValueTransformer:[[TextColorTransformerPlayHistory alloc] init] forName:@"TextColorTransformerPlayHistory"];

}

+ (Class)transformedValueClass
{
    return [NSString self];
}

+ (BOOL)allowsReverseTransformation
{
    return NO;
}

- (id)transformedValue:(id)object
{

    if(object == nil) return nil;

	if([object valueForKey:@"isPlayed"]){
		if([[object valueForKey:@"isPlayed"] boolValue] == NO){
			return [NSColor grayColor];
		}
	}

	return nil;
}
@end