/* ViewPlaylistSetting */

#import <Cocoa/Cocoa.h>
#import "PlaylistItemTypes.h"

@interface ViewPlaylistSetting : NSObject
{
	IBOutlet NSWindow *playlistSettingWindow;
	IBOutlet id viewKeywordSetting;
	IBOutlet id viewMylistSetting;
	IBOutlet id viewPostUserSetting;
	IBOutlet id viewChannelSetting;
	IBOutlet id tbArrayController;
	IBOutlet NSTabView *tabViewSetting;
}

- (IBAction)openPlaylistSettingWindow:(id)sender;
- (IBAction)openPlaylistSetting:(id)sender;

// keyword
- (IBAction)openKeywordSettingWindow:(id)sender;

// mylist
- (IBAction)openMylistNewSettingWindow:(id)sender;
- (IBAction)openMylistEditSettingWindow:(id)sender;

// postuser
- (IBAction)openPostUserNewSettingWindow:(id)sender;
- (IBAction)openPostUserEditSettingWindow:(id)sender;

// channel
- (IBAction)openChannelNewSettingWindow:(id)sender;
- (IBAction)openChannelEditSettingWindow:(id)sender;

- (IBAction)closeWindow:(id)sender;

// mylist
- (BOOL)openMylistNewSettingWindowWithValue:(NSString*)mylistId title:(NSString*)title;
// postuser
- (BOOL)openPostUserNewSettingWindowWithValue:(NSString*)postUserId title:(NSString*)title;

- (void)setWindowTitle:(NSString*)title;

@end
